## ros-humble-quality-of-service-demo-cpp 0.20.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(quality_of_service_demo_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rcutils)
find_package(rmw REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)

include_directories(include)
# TODO(sloretz) stop exporting old-style CMake variables in the future
ament_export_include_directories("include/${PROJECT_NAME}")

function(qos_demo_executable target)
  add_executable(${target}
    src/${target}.cpp
    src/common_nodes.cpp
    src/utils.cpp)
  target_link_libraries(${target}
    rclcpp::rclcpp
    rcutils::rcutils
    ${std_msgs_TARGETS})
  install(TARGETS ${target} DESTINATION lib/${PROJECT_NAME})
endfunction()

qos_demo_executable(liveliness)
qos_demo_executable(lifespan)
qos_demo_executable(deadline)
qos_demo_executable(interactive_publisher)
qos_demo_executable(interactive_subscriber)
qos_demo_executable(incompatible_qos)

add_library(message_lost SHARED
  src/message_lost_listener.cpp
  src/message_lost_talker.cpp)
target_link_libraries(message_lost
  rclcpp::rclcpp
  rclcpp_components::component
  rcutils::rcutils
  ${sensor_msgs_TARGETS})
target_compile_definitions(message_lost
  PRIVATE "QUALITY_OF_SERVICE_DEMO_BUILDING_DLL")
rclcpp_components_register_node(message_lost
  PLUGIN "quality_of_service_demo::MessageLostListener"
  EXECUTABLE message_lost_listener)
rclcpp_components_register_node(message_lost
  PLUGIN "quality_of_service_demo::MessageLostTalker"
  EXECUTABLE message_lost_talker)

add_library(qos_overrides SHARED
  src/qos_overrides_listener.cpp
  src/qos_overrides_talker.cpp
)
target_link_libraries(qos_overrides
  rclcpp::rclcpp
  rclcpp_components::component
  rcutils::rcutils
  ${sensor_msgs_TARGETS})
target_compile_definitions(qos_overrides
  PRIVATE "QUALITY_OF_SERVICE_DEMO_BUILDING_DLL")
rclcpp_components_register_node(qos_overrides
  PLUGIN "quality_of_service_demo::QosOverridesListener"
  EXECUTABLE qos_overrides_listener)
rclcpp_components_register_node(qos_overrides
  PLUGIN "quality_of_service_demo::QosOverridesTalker"
  EXECUTABLE qos_overrides_talker)

install(TARGETS
  message_lost qos_overrides
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY params_file DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-quality-of-service-demo-cpp (0.20.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.20.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 May 2022 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.20.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.20.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} (#548 <https://github.com/ros2/demos/issues/548>)
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.19.0-1jammy) jammy; urgency=high

  * Fix include order and relative paths for cpplint (#551 <https://github.com/ros2/demos/issues/551>)
  * Contributors: Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.18.0-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#545 <https://github.com/ros2/demos/issues/545>)
  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Additional fixes for documentation in demos. (#538 <https://github.com/ros2/demos/issues/538>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 17 Dec 2021 06:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.17.0-1jammy) jammy; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Oct 2021 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.16.0-1jammy) jammy; urgency=high

  * Initialize message correctly (#522 <https://github.com/ros2/demos/issues/522>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 11 Aug 2021 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.15.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 May 2021 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.14.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 26 Apr 2021 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.14.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 19 Apr 2021 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.14.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.13.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Mar 2021 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.12.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.12.0-1jammy) jammy; urgency=high

  * Add demo of how to use qos overrides (#474 <https://github.com/ros2/demos/issues/474>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.11.0-1jammy) jammy; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 10 Dec 2020 06:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.10.1-1jammy) jammy; urgency=high

  * Update comments in quality_of_service_demo_cpp message_lost_talker and message_lost_listener (#458 <https://github.com/ros2/demos/issues/458>)
  * Add message lost status event demo using rclcpp (#453 <https://github.com/ros2/demos/issues/453>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 21 Sep 2020 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.10.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.9.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Jun 2020 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.9.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.9.1-1jammy) jammy; urgency=high

  * Remove MANUAL_BY_NODE liveliness usage (#444 <https://github.com/ros2/demos/issues/444>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 May 2020 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.9.0-1jammy) jammy; urgency=high

  * Demo to show the working of the incompatible_qos event callbacks. (#416 <https://github.com/ros2/demos/issues/416>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Contributors: Dirk Thomas, Jaison Titus

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 30 Apr 2020 05:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.8.4-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.8.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.8.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.8.1-1jammy) jammy; urgency=high

  * get_actual_qos() now returns a rclcpp::QoS (#395 <https://github.com/ros2/demos/issues/395>)
  * Contributors: William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000



=== debian/control ===
Source: ros-humble-quality-of-service-demo-cpp
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-example-interfaces, ros-humble-launch <!nocheck>, ros-humble-launch-testing <!nocheck>, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rcutils, ros-humble-rmw, ros-humble-rmw-implementation-cmake, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-quality-of-service-demo-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-example-interfaces, ros-humble-launch-ros, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rcutils, ros-humble-rmw, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Description: C++ Demo applications for Quality of Service features

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-quality-of-service-demo-cpp//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-quality-of-service-demo-cpp 0.20.5

=== debian/changelog ===
ros-humble-quality-of-service-demo-cpp (0.20.5-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.20.4-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.20.3-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.20.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.20.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.20.0-1bookworm) bookworm; urgency=high

  * Install includes to include/${PROJECT_NAME} (#548 <https://github.com/ros2/demos/issues/548>)
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.19.0-1bookworm) bookworm; urgency=high

  * Fix include order and relative paths for cpplint (#551 <https://github.com/ros2/demos/issues/551>)
  * Contributors: Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.18.0-1bookworm) bookworm; urgency=high

  * Fixes for uncrustify 0.72 (#545 <https://github.com/ros2/demos/issues/545>)
  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Additional fixes for documentation in demos. (#538 <https://github.com/ros2/demos/issues/538>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.17.0-1bookworm) bookworm; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.16.0-1bookworm) bookworm; urgency=high

  * Initialize message correctly (#522 <https://github.com/ros2/demos/issues/522>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.15.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 May 2021 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.14.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.14.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 18 Apr 2021 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.14.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.13.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.12.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.12.0-1bookworm) bookworm; urgency=high

  * Add demo of how to use qos overrides (#474 <https://github.com/ros2/demos/issues/474>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.11.0-1bookworm) bookworm; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.10.1-1bookworm) bookworm; urgency=high

  * Update comments in quality_of_service_demo_cpp message_lost_talker and message_lost_listener (#458 <https://github.com/ros2/demos/issues/458>)
  * Add message lost status event demo using rclcpp (#453 <https://github.com/ros2/demos/issues/453>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.10.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 16 Jun 2020 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.9.3-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.9.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.9.1-1bookworm) bookworm; urgency=high

  * Remove MANUAL_BY_NODE liveliness usage (#444 <https://github.com/ros2/demos/issues/444>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 11 May 2020 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.9.0-1bookworm) bookworm; urgency=high

  * Demo to show the working of the incompatible_qos event callbacks. (#416 <https://github.com/ros2/demos/issues/416>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Contributors: Dirk Thomas, Jaison Titus

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.8.4-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Nov 2019 16:00:00 -0000

ros-humble-quality-of-service-demo-cpp (0.8.3-1bookworm) bookworm; urgency=high





=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-quality-of-service-demo-cpp//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-quality-of-service-demo-cpp//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-quality-of-service-demo-cpp//opt/ros/humble/opt/quality_of_service_demo_cpp/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
